6.0.0-git
2019-03-18

[#9713] back to Horde button doesn't work
Summary back to Horde button doesn't work
Queue Kronolith
Queue Version 3.0-RC1
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester tanner (at) gmx (dot) de
Created 2011-03-24 (2916 days ago)
Due
Updated 2011-03-28 (2912 days ago)
Assigned 2011-03-25 (2915 days ago)
Resolved 2011-03-27 (2913 days ago)
Milestone 3
Patch No

History
2011-03-28 12:58:40 Michael Rubinsky Comment #9 Reply to this comment
  The same problem is still existing in dimps' portal-link (sidebars,
block serviceActions).
Do you mean in dimp's sidebar, the "portal" link? I'm not seeing that. 
That link correctly takes me to Horde's portal.
2011-03-28 07:52:32 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #8 Reply to this comment
Fixed by linking "Horde" to Horde::getServiceLink('portal')
The same problem is still existing in dimps' portal-link (sidebars, 
block serviceActions).
2011-03-27 01:54:29 Michael Rubinsky Comment #7
State ⇒ Resolved
Reply to this comment
Fixed by linking "Horde" to Horde::getServiceLink('portal')
2011-03-27 01:53:46 Git Commit Comment #6 Reply to this comment
Changes have been made in Git for this ticket:

Bug: 9713  Ensure 'Horde' menu item links to the portal view.

  2 files changed, 8 insertions(+), 4 deletions(-)
http://git.horde.org/horde-git/-/commit/346af5ee5d40a6ac618d1fc0b3a1376fc6332e2e
2011-03-26 19:51:03 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #5 Reply to this comment
I have just verified this is indeed the issue. If the 
initial_application pref is set to kronolith, then clicking the 
"Horde" menu item from kronolith's dynamic view brings you back to 
the dynamic view of kronolith. This also happens in Hermes' dynamic 
view (which isn't surprising, since it was based on kronolith's ajax 
view), but does NOT happen within (d)imp.
I posted last week about this issue, too. I will quote my mail for 
completeness, though I believe its not to be depending on the 
initial_application-pref (which is 'horde' by default, and I didn't 
touch this), but on the detection of the webroot, which is (in my 
case) just ''. This leads to href="", cause 
$GLOBALS['registry']->get('webroot', $app) is empty.

----- my mail:
Hello,

I determined, that the link to Horde in the upper area of the site in 
kronolith is wrong.
In kronolith/templates/index/index.inc, line 21 (see below), the 
application-list is built. This works fine for IMP and Turba, but the 
link for Horde has the href-Attribute empty in our installation.
Is this a mistake in the sourcecode, or is our webroot not detected correctly?

line 21:
<li><a href="<?php echo $GLOBALS['registry']->get('webroot', $app) ?>" 
id="kronolithApplication-<?php echo $app ?>" title="<?php echo 
$GLOBALS['registry']->get('name', $app) ?>"><img src="<?php echo 
$GLOBALS['registry']->get('icon', $app) ?>" /> <?php echo 
$GLOBALS['registry']->get('name', $app) ?></a></li>
2011-03-26 16:27:25 Michael Rubinsky Comment #4
Taken from Horde DevelopersHorde Developers
Reply to this comment
I have just verified this is indeed the issue. If the 
initial_application pref is set to kronolith, then clicking the 
"Horde" menu item from kronolith's dynamic view brings you back to the 
dynamic view of kronolith. This also happens in Hermes' dynamic view 
(which isn't surprising, since it was based on kronolith's ajax view), 
but does NOT happen within (d)imp.
2011-03-26 15:14:43 iron_hat (at) hotmail (dot) com Comment #3 Reply to this comment
I have seen this before with the dynamic kronolith and IMP interfaces, 
but this was months ago. In my testing of the release candidates, it 
seems to have been fixed.
Are you referring to the dynamic interface of kronolith? If so, are 
you saying that when you select "Horde" from the list of application 
links, you are directed back to kronolith?

Looks like the link to Horde there is pointing to the initial 
application pref, instead of back to the portal.
2011-03-25 18:23:07 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Milestone ⇒ 3
Reply to this comment
Are you referring to the dynamic interface of kronolith? If so, are 
you saying that when you select "Horde" from the list of application 
links, you are directed back to kronolith?

Looks like the link to Horde there is pointing to the initial 
application pref, instead of back to the portal.
2011-03-24 22:34:37 tanner (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ back to Horde button doesn't work
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
There doesn't seem to be a working button to return to the horde portal.
The button on the upper right (next to preferences) points to Kronolith,
but I suppose it's meant to bring you back to the portal.

Saved Queries